Create or Update Item.
PUT/accounts/{account_id}/ai-search/namespaces/{name}/instances/{id}/items
Creates or updates an indexed item in an AI Search instance.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Path Parameters
Body ParametersJSON
Create or Update Item.
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-search/namespaces/$NAME/instances/$ID/items \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"key": "key",
"next_action": "INDEX"
}'{
"result": {
"id": "id",
"checksum": "checksum",
"chunks_count": 0,
"created_at": "2019-12-27T18:11:19.117Z",
"file_size": 0,
"key": "key",
"last_seen_at": "2019-12-27T18:11:19.117Z",
"namespace": "namespace",
"next_action": "INDEX",
"source_id": "source_id",
"status": "queued",
"error": "error"
},
"success": true
}Returns Examples
{
"result": {
"id": "id",
"checksum": "checksum",
"chunks_count": 0,
"created_at": "2019-12-27T18:11:19.117Z",
"file_size": 0,
"key": "key",
"last_seen_at": "2019-12-27T18:11:19.117Z",
"namespace": "namespace",
"next_action": "INDEX",
"source_id": "source_id",
"status": "queued",
"error": "error"
},
"success": true
}